## ros-melodic-dbw-polaris-can 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dbw_polaris_can)

find_package(catkin REQUIRED COMPONENTS
  rospy
  roscpp
  nodelet
  std_msgs
  geometry_msgs
  sensor_msgs
  can_msgs
  dataspeed_can_msg_filters
  dbw_polaris_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/DbwNode.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_dbw_node
  src/node.cpp
)
add_dependencies(${PROJECT_NAME}_dbw_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_dbw_node
  ${PROJECT_NAME}
)
set_target_properties(${PROJECT_NAME}_dbw_node PROPERTIES OUTPUT_NAME dbw_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_dbw_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY scripts
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-melodic-dbw-polaris-can (0.0.4-1stretch) stretch; urgency=high

  * Add Accel and Gyro reports
  * Contributors: Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 12 Oct 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.3-1stretch) stretch; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Aug 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.2-1stretch) stretch; urgency=high

  * Add shift control
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Aug 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.1-1stretch) stretch; urgency=high

  * Initial release (fork of dbw_fca_ros)
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 28 Feb 2020 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-dbw-polaris-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-can-msg-filters, ros-melodic-dbw-polaris-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dbw-polaris-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-can-usb, ros-melodic-dataspeed-ulc-can, ros-melodic-dbw-polaris-description, ros-melodic-dbw-polaris-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Polaris GEM/Ranger/RZR DBW kit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dbw-polaris-can//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dbw-polaris-can 1.1.0

=== debian/changelog ===
ros-melodic-dbw-polaris-can (1.1.0-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Change unsigned vehicle speed to signed vehicle velocity
  * Periodically publish DBW enabled status in addition to latched and on change
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-melodic-dbw-polaris-can (1.0.2-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-melodic-dbw-polaris-can (1.0.1-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Add reserved bits
  * Improve printing of license info
  * Add user control of alert
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 20 Sep 2021 04:00:00 -0000

ros-melodic-dbw-polaris-can (1.0.0-1bionic) bionic; urgency=high

  * Bump firmware versions
  * C++17 and std::clamp()
  * Remove ROS Kinetic support
  * Populate brake/throttle/steering command values even if enable is false
  * Use 'steering_cmd' topic as preferred method of steering calibration
  * Fix socketcan error frame lock up
  * Contributors: Kevin Hallenbeck, Robert Maupin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 12 May 2021 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.8-1bionic) bionic; urgency=high

  * Bump firmware versions
  * License multiple features individually
  * Add option to use socketcan hardware
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.7-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Update brake type field to match firmware change
  * Add Ford Ranger platform
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.6-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 16 Nov 2020 05:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.5-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Add reserved bit to prevent warnings
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 04 Nov 2020 05:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.4-1bionic) bionic; urgency=high

  * Add Accel and Gyro reports
  * Contributors: Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 12 Oct 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.3-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Aug 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.2-1bionic) bionic; urgency=high

  * Add shift control
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Aug 2020 04:00:00 -0000

ros-melodic-dbw-polaris-can (0.0.1-1bionic) bionic; urgency=high

  * Initial release (fork of dbw_fca_ros)
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 28 Feb 2020 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-dbw-polaris-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-can-msg-filters, ros-melodic-dbw-polaris-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch <!nocheck>, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dbw-polaris-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-can-usb, ros-melodic-dataspeed-ulc-can, ros-melodic-dbw-polaris-description, ros-melodic-dbw-polaris-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-socketcan-bridge, ros-melodic-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Polaris GEM/Ranger/RZR DBW kit

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
